--- u-boot-2011.06_original/drivers/cnc1900/df/df.h	1970-01-01 08:00:00.000000000 +0800
+++ u-boot-2011.06/drivers/cnc1900/df/df.h	2015-05-18 19:41:06.764203000 +0800
@@ -0,0 +1,241 @@
+#ifndef _DF_H_
+#define _DF_H_
+
+typedef enum
+{
+	TVOUT_MODE_576I = 0,///<Define the timing mode is 576i@50Hz AR 4:3. /* id = 0 */
+	TVOUT_MODE_480I,///<Define the timing mode is 480i@60Hz AR 4:3.  /* id = 1 */
+	TVOUT_MODE_576P,///<Define the timing mode is 576p@50Hz AR 4:3     /* id = 2 */
+	TVOUT_MODE_480P,///<Define the timing mode is 480p@60Hz Ar 4:3     /* id = 3 */
+	TVOUT_MODE_720P50,///<Define the timing mode is 720p@50hz.   /* id = 4 */
+	TVOUT_MODE_720P60,///<Define the timing mode is 720p@60hz.   /* id = 5 */
+	TVOUT_MODE_1080I25,///<Define the timing mode is 1080i@25hz.  /* id = 6 */
+	TVOUT_MODE_1080I30,///<Define the timing mode is 1080i@30hz.  /* id = 7 */
+
+	TVOUT_MODE_SECAM,///<Define the timing mode is secam    /* id = 8 */
+	TVOUT_MODE_PAL_M,///<Define the timing mode is pal_m    /* id = 9 */
+	TVOUT_MODE_PAL_N,///<Define the timing mode is pal_n    /* id = 10 */
+	TVOUT_MODE_PAL_CN,///<Define the timing mode is pal_cn   /* id = 11 */
+
+	TVOUT_MODE_1080P24,///<Define the timing mode is 1080P@24Hz( only for HDMI interface)  /* id = 12 */
+	TVOUT_MODE_1080P25,///<Define the timing mode is 1080P@25Hz( only for HDMI interface)  /* id = 13 */
+	TVOUT_MODE_1080P30,///<Define the timing mode is 1080P@30Hz( only for HDMI interface)  /* id = 14 */
+	TVOUT_MODE_1080P50,///<Define the timing mode is 1080P@50Hz( only for HDMI interface)  /* id = 15 */
+	TVOUT_MODE_1080P60,///<Define the timing mode is 1080P@60Hz( only for HDMI interface)  /* id = 16 */
+
+	TVOUT_MODE_576I_16TO9,///<Define the timing mode is 576i@50Hz AR 16:9. /* id = 17 */
+	TVOUT_MODE_480I5994,///<Define the timing mode is 480i@59.94Hz AR 4:3.  /* id = 18 */
+	TVOUT_MODE_480I5994_16TO9,///<Define the timing mode is 480i@59.94Hz AR 16:9.  /* id = 19 */
+	TVOUT_MODE_480I60_16TO9,///<Define the timing mode is 480i@60Hz AR 16:9.  /* id = 20 */
+	TVOUT_MODE_576P50_16TO9,///<Define the timing mode is 576p@50Hz AR 16:9     /* id = 21 */
+	TVOUT_MODE_480P5994,///<Define the timing mode is 480P@59.94Hz AR 4:3( only for HDMI interface)  /* id = 22 */
+	TVOUT_MODE_480P5994_16TO9,///<Define the timing mode is 480P@59.94Hz, AR 16:9( only for HDMI interface)  /* id = 23 */
+	TVOUT_MODE_480P60_16TO9,///<Define the timing mode is 480P@60Hz AR 16:9( only for HDMI interface)  /* id = 24 */
+	TVOUT_MODE_720P5994,///<Define the timing mode is 720P@59.94Hz( only for HDMI interface)  /* id = 25 */
+	TVOUT_MODE_1080I5994,///<Define the timing mode is 1080I@59.94Hz( only for HDMI interface)  /* id = 26 */
+	TVOUT_MODE_1080P2397,///<Define the timing mode is 1080P@23.97Hz( only for HDMI interface)  /* id = 27 */
+	TVOUT_MODE_1080P5994,///<Define the timing mode is 1080P@59.94Hz( only for HDMI interface)  /* id = 28 */
+
+	TVOUT_MODE_720P5994_3DFP,///<Define the timing mode is 720P@59.94Hz 3D FP( only for HDMI interface)  /* id = 29 */
+	TVOUT_MODE_720P60_3DFP,///<Define the timing mode is 720P@60Hz 3D FP( only for HDMI interface)  /* id = 30 */
+	TVOUT_MODE_720P50_3DFP,///<Define the timing mode is 720P@60Hz 3D FP( only for HDMI interface)  /* id = 31 */
+	TVOUT_MODE_1080P2397_3DFP,///<Define the timing mode is 1080P@23.97Hz 3D FP( only for HDMI interface)  /* id = 32 */
+	TVOUT_MODE_1080P24_3DFP,///<Define the timing mode is 1080P@24Hz 3D FP( only for HDMI interface)  /* id = 33 */
+
+	TVOUT_MODE_1080I50_3DSS,///<Define the timing mode is 1080I@50Hz 3D SS( only for HDMI interface)  /* id = 34 */
+	TVOUT_MODE_1080I5994_3DSS,///<Define the timing mode is 1080I@59.94Hz 3D SS( only for HDMI interface)  /* id = 35 */
+	TVOUT_MODE_1080I60_3DSS,///<Define the timing mode is 1080I@60Hz 3D SS( only for HDMI interface)  /* id = 36 */
+
+	TVOUT_MODE_720P50_3DTB,///<Define the timing mode is 720P@50Hz 3D TB( only for HDMI interface)  /* id = 37 */
+	TVOUT_MODE_720P5994_3DTB,///<Define the timing mode is 720P@59.94Hz 3D TB( only for HDMI interface)  /* id = 38 */
+	TVOUT_MODE_720P60_3DTB,///<Define the timing mode is 720P@60Hz 3D TB( only for HDMI interface)  /* id = 39 */
+	TVOUT_MODE_1080P2397_3DTB,///<Define the timing mode is 1080P@23.97Hz 3D TB( only for HDMI interface)  /* id = 40 */
+	TVOUT_MODE_1080P24_3DTB,///<Define the timing mode is 1080P@24Hz 3D TB( only for HDMI interface)  /* id = 41 */
+
+	TVOUT_RGB_640X480_60FPS,///<Define the timing mode is 640*480@60fps(only for VGA interface) /* id = 42 */
+	TVOUT_RGB_800X600_60FPS,///<Define the timing mode is 800*600@60fps(only for VGA interface) /* id = 43 */
+	TVOUT_RGB_1024X768_60FPS,///<Define the timing mode is 1024*768@60fps(only for VGA interface) /* id = 44 */
+	TVOUT_RGB_1280X720_60FPS,///<Define the timing mode is 1280*720@60fps(only for VGA interface) /* id = 45 */
+	TVOUT_RGB_800X480_60FPS,///<Define the timing mode is 800*480@60fps(only for VGA interface) /* id = 46 */
+	TVOUT_RGB_1440X900_60FPS,///<Define the timing mode is 1440*900@60fps(only for VGA interface) /* id = 47 */
+	TVOUT_RGB_1280X1024_60FPS,///<Define the timing mode is 1280*1024@60fps(only for VGA interface) /* id = 48 */
+	TVOUT_RGB_1360X768_60FPS,///<Define the timing mode is 1366*768@60fps(only for VGA interface) /* id = 49 */
+	TVOUT_RGB_1920X1080P30,///<Define the timing mode is 1920*1080P30(only for VGA interface) /* id = 50 */
+	TVOUT_RGB_1920X1080P60,///<Define the timing mode is 1920*1080P60(only for VGA interface) /* id = 51 */
+	TVOUT_RGB_1920X1080I30,///<Define the timing mode is 1920*1080I30(only for VGA interface) /* id = 52 */
+	TVOUT_RGB_1366X768_60FPS,///<Define the timing mode is 1366*768@60fps(only for VGA interface) /* id = 53 */
+	TVOUT_RGB_640X480_5994FPS,///<Define the timing mode is 1366*768@60fps(only for VGA interface) /* id = 54 */
+	TVOUT_MODE_1600X1200_60FPS,///<Define the timing mode is 1600*1200P@60Hz/* id = 55 */
+
+	TVOUT_MODE_MAX,
+} TVOUT_MODE;
+
+typedef enum _DF_VIDEO_FORMAT_
+{
+	NOT_STANDARD_VIDEO_MODE = -1,
+	DISP_YUV_720P_60FPS        =0,
+	DISP_YUV_1080I_30FPS       =1,
+	DISP_YUV_480P              =2,
+	DISP_YUV_NTSC              =3,
+	DISP_YUV_720P_50FPS        =4,
+	DISP_YUV_1080I_25FPS       =5,
+	DISP_YUV_576P              =6,
+	DISP_YUV_PAL               =7,
+	DISP_YUV_1080P_60FPS       =8,
+	DISP_YUV_1080P_50FPS       =9,
+	DISP_YUV_1080P_24FPS       =10,
+	DISP_YUV_1080P_25FPS       =11,
+	DISP_YUV_1080P_30FPS       =12,
+	DISP_YUV_1080I_25FPS_AS    =13,
+	DISP_RGB_VGA_60FPS         =14,
+	DISP_RGB_SVGA_60FPS        =15,
+	DISP_RGB_XGA_60FPS         =16,
+	DISP_RGB_SXGA_60FPS        =17,
+	DISP_RGB_UXGA_60FPS        =18,
+	DISP_RGB_720P_60FPS        =19,
+	DISP_1440x288P_50_M1       =20,
+	DISP_1440x288P_50_M2       =21,
+	DISP_1440x288P_50_M3       =22,
+	DISP_2880x576I_50          =23,
+	DISP_2880x288P_50_M1       =24,
+	DISP_2880x288P_50_M2       =25,
+	DISP_2880x288P_50_M3       =26,
+	DISP_1440x576P_50          =27,
+	DISP_1440x240P_60_M1       =28,
+	DISP_1440x240P_60_M2       =29,
+	DISP_2880x480I_60          =30,
+	DISP_2880x240P_60_M1       =31,
+	DISP_2880x240P_60_M2       =32,
+	DISP_1440x480P_60          =33,
+	DISP_RGB_DMT_640x480_60    =34,
+	DISP_RGB_DMT_640x480_75    =35,
+	DISP_RGB_DMT_800x600_60    =36,
+	DISP_RGB_DMT_800x600_75    =37,
+	DISP_RGB_DMT_848x480_60    =38,
+	DISP_RGB_DMT_1152x864_75   =39,
+	DISP_RGB_DMT_1280x768_60   =40,
+	DISP_RGB_DMT_1280x960_60   =41,
+	DISP_RGB_DMT_1280x1024_60  =42,
+	DISP_RGB_DMT_1360x768_60   =43,
+	DISP_RGB_DMT_1440x900_60   =44,
+	DISP_RGB_CVT_640x480_75    =45,
+	DISP_RGB_CVT_800x600_60    =46,
+	DISP_RGB_CVT_800x600_75    =47,
+	DISP_RGB_CVT_1024x768_60   =48,
+	DISP_RGB_CVT_1280x1024_60  =49,
+	DISP_RGB_CVT_848x480_60    =50,
+	DISP_RGB_CVT_848x480_75    =51,
+	DISP_RGB_CVT_1024x576_60   =52,
+	DISP_RGB_CVT_1024x576_75   =53,
+	DISP_RGB_CVT_1280x720_60   =54,
+	DISP_RGB_CVT_1280x720_75   =55,
+	DISP_RGB_CVT_640x400_75    =56,
+	DISP_RGB_CVT_768x480_60    =57,
+	DISP_RGB_CVT_768x480_75    =58,
+	DISP_RGB_CVT_1024x640_60   =59,
+	DISP_RGB_CVT_1024x640_75   =60,
+	DISP_RGB_CVT_1280x800_75   =61,
+	DISP_RGB_CVT_800x600_RED   =62,
+	DISP_RGB_CVT_1024x768_RED  =63,
+	DISP_RGB_CVT_1280x960_RED  =64,
+	DISP_RGB_CVT_848x480_RED   =65,
+	DISP_RGB_CVT_1024x576_RED  =66,
+	DISP_RGB_CVT_1280x720_RED  =67,
+	DISP_RGB_CVT_1600x900_RED  =68,
+	DISP_RGB_CVT_768x480_RED   =69,
+	DISP_RGB_CVT_1024x640_RED  =70,
+	DISP_RGB_CVT_1280x800_RED  =71,
+	DISP_RGB_CVT_1600x1000_RED =72,
+	DISP_64x64                 =73,
+	DISP_VGA_1366x768		   =74,
+	DISP_YUV_480P_3D,
+	DISP_YUV_NTSC_3D,
+	DISP_YUV_576P_3D,
+	DISP_YUV_PAL_3D,
+	DISP_YUV_720P_60FPS_3D,
+	DISP_YUV_1080P_30FPS_3D,
+	DISP_YUV_1080I_30FPS_3D,
+	DISP_YUV_720P_50FPS_3D,
+	DISP_YUV_1080P_24FPS_3D,
+	DISP_YUV_1080P_25FPS_3D,
+	DISP_YUV_720P_30FPS_3D,
+	DISP_YUV_1080P_30FPS_3D_TEMP,
+	DISP_YUV_1080I_30FPS_3D_TEMP,
+	DISP_RGB_VGA_59P94FPS,
+	DISP_1600x1200_60FPS,
+
+	DISP_FMT_MAX,
+}DF_VIDEO_FORMAT;
+
+typedef enum
+{
+	DF_OUTPUT_CVBS_SVIDEO = 0,
+	DF_OUTPUT_YPBPR,
+	DF_OUTPUT_VGA
+} DF_OUTPUT_MODE;
+
+typedef struct _DF_OUTIF_FORMAT_INFO_
+{
+	int  mIsYUVorRGB;
+	int  mWidth;
+	int  mHeight;
+	int  mFPS;
+	int  mFreq;
+	int  mIsHD;
+	int  mVSyncPol;
+	int  mHSyncPol;
+	int  mHRes;
+	int  mHActive;
+	int  mHSyncFP;
+	int  mHSyncWidth;
+	int  mHSyncBP;
+	int  mVRes;
+	int  mVActline;
+	int  mVSyncFP;
+	int  mVSyncWidth;
+	int  mVSyncBP;
+	int  m3dEn;
+	int  m3dVactSpace;
+	int  mVidType;
+	int  mVidrptr;
+	int  mYCMuxEn;
+	int  mPALFmt;
+	int  mFmtIdx;
+	char *mFmtName;
+
+} df_out_if_timing;
+
+typedef struct DF_OUTPUT_CONFIG_t_{
+	int gfx_output[2]; //gfx_layer_id
+	int vid_output[3]; //video_layer_id
+	DF_OUTPUT_MODE output_mode[2];//outif_id
+}DF_OUTPUT_CONFIG_t;
+
+typedef enum _DF_GFX_COLOR_FORMAT_
+{
+	DF_GFX_CLUT4     = 0,
+	DF_GFX_CLUT8     = 1,
+	DF_GFX_RGB565    = 2,
+	DF_GFX_ARGB4444  = 3,
+	DF_GFX_A0        = 4,
+	DF_GFX_ARGB1555  = 5,
+	DF_GFX_ARGB8888  = 6,
+	DF_GFX_XRGB8888  = 7,
+	DF_GFX_FORMA_MAX,
+
+} DF_GFX_COLOR_FORMAT;
+
+typedef struct _DF_GFX_IMG_ {
+	unsigned int PixelWidth;
+	unsigned int PixelHeight;
+	DF_GFX_COLOR_FORMAT ColorFormat;
+	unsigned int StartAddress;
+	unsigned int LinePitch;
+	//For Color Format A0
+	unsigned char  DefaultAlpha;
+	unsigned char  DefaultRed;
+	unsigned char  DefaultGreen;
+	unsigned char  DefaultBlue;
+} DF_GFX_IMG;
+
+#endif
diff '--exclude=.svn' -Naur u-boot-2011.06_original/drivers/cnc1900/df/df_reg_def.h u-boot-2011.06/drivers/cnc1900/df/df_reg_def.h
